
addstaticobjecttogame(501,"ComicsTexture1",431,484,"",0,0,214,170)-- hlyup_0_0
addstaticobjecttogame(502,"ComicsTexture1",430,330,"",214,0,150,234)-- padayuschaya_devushka_0_0
addstaticobjecttogame(503,"ComicsTexture1",430,100,"",214,0,150,234)-- padayuschaya_devushka_0_0
addstaticobjecttogame(504,"ComicsTexture1",484,-20  ,"",364,0,106,90)-- chel_smotrit_0_0
addstaticobjecttogame(505,"ComicsTexture1",467,-10  ,"",364,90,125,109)-- baba_0_0
addstaticobjecttogame(506,"ComicsTexture1",386,-20  ,"",489,90,78,137)-- chel_0_0

addstaticobjecttogame(507,"ComicsTexture1",0,0  ,"",489,90,1,1)-- chel_0_0
addstaticobjecttogame(508,"ComicsTexture1",0,0  ,"",489,90,1,1)-- chel_0_0
addstaticobjecttogame(509,"ComicsTexture1",0,0  ,"",489,90,1,1)-- chel_0_0
addstaticobjecttogame(510,"ComicsTexture1",0,0  ,"",489,90,1,1)-- chel_0_0

local a,b = 325,275

AddParticleToObject(509,"top_left")
MoveEmiter("top_left",a,b)
StartEmiter("top_left")

AddParticleToObject(507,"top_right")
MoveEmiter("top_right",1024-a,b)
StartEmiter("top_right")

AddParticleToObject(508,"bottom_right")
MoveEmiter("bottom_right",1024-a,768-b)
StartEmiter("bottom_right")

AddParticleToObject(510,"bottom_left")
MoveEmiter("bottom_left",a,768-b)
StartEmiter("bottom_left")

speciale_action(4,501)
speciale_action(4,502)
speciale_action(4,503)
speciale_action(4,504)
speciale_action(4,505)
speciale_action(4,506)
speciale_action(4,507)
speciale_action(4,508)
speciale_action(4,509)
speciale_action(4,510)

speciale_action(2,501)
speciale_action(2,502)
speciale_action(2,503)
speciale_action(2,504)
speciale_action(2,505)
speciale_action(2,506)

SaveGame()

speciale_action(2,505,true,1.4)
speciale_action(2,506,true,1.4)
playeffect("shoot")
StartTimer(timerID,3,"frame1")
StopEmiter("Hidden_3_1");
Block_Show_Cur(true)

local tmpGI = gameinput
gameinput = function() end
fMiniComics=true

function frame1()
  speciale_action(2,503,true,1.4)
  speciale_action(2,505,true,1.4)
  StartTimer(timerID,1.5,"frame2")
end

function frame2()
  speciale_action(2,502,true,0.5)
  speciale_action(2,503,true,0.5)
  speciale_action(2,504,true,0.9)
  speciale_action(2,506,true,0.9)
  StartTimer(timerID,1,"frame3")
end

function frame3()
  speciale_action(2,501,true,1.4)
  speciale_action(2,502,true,1.4)
  playeffect("hlup")
  StartTimer(timerID,1.5,"frame4")
end

function frame4()
  StopEmiter("top_left",true)
  StopEmiter("top_right",true)
  StopEmiter("bottom_right",true)
  StopEmiter("bottom_left",true)
  speciale_action(2,501,true,0.99)
  StartTimer(timerID,1,"frame5")
end

function frame5()
  speciale_action(2,504,true,0.99)
  StartTimer(timerID,1,"frame6")
end

function frame6()
  StartEmiter("Hidden_3_1");
  del_object_from_game(501)
  del_object_from_game(502)
  del_object_from_game(503)
  del_object_from_game(504)
  del_object_from_game(505)
  del_object_from_game(506)
  del_object_from_game(507)
  del_object_from_game(508)
  del_object_from_game(509)
  del_object_from_game(510)
  Block_Show_Cur(false)
  gameinput = tmpGI
  CreatePlashechka("646")
  fMiniComics=false
end